//////////////////////////////////////////////////////////////////////////////
// NAME.......: MaxInterface.h                                               
// PURPOSE....: Maximizer OLE Automation classes Application and CurrentRecord created 
//              from Maximizer Type Library 4.0 (MaxWin.tlb).
// WRITTEN....: 96/09/27 by Darko Juvan
// DESCRIPTION: Machine generated IDispatch wrapper class(es) created with ClassWizard
//
// This code and information is provided "as is" without warranty of any
// kind, either expressed or implied, including but not limited to the
// implied warranties of merchantability and/or fitness for a particular
// purpose..
//
// Copyright (c) 1998  Multiactive Software Inc.  All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// IMaxApp wrapper class for Maximizer.Application object

class IMaxApp : public COleDispatchDriver
{
public:
	IMaxApp() {}		// Calls COleDispatchDriver default constructor
	IMaxApp(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IMaxApp(const IMaxApp& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	CString GetActiveWindow();
	CString GetCurrentDBPath();
	CString GetCurrentUser();
	BOOL GetBusyIndicator();
	BOOL GetSecurityStatus();
	CString GetDatabaseList();
	CString GetVisibilityState();
	void SetVisibilityState(LPCTSTR VisibleState);
	void OpenDatabase(LPCTSTR command, const VARIANT& description, const VARIANT& path, const VARIANT& userid, const VARIANT& password);
	void AddNewCategory(LPCTSTR type1, LPCTSTR type2, LPCTSTR text, const VARIANT& attribute1, const VARIANT& attribute2, const VARIANT& attribute3, const VARIANT& attribute4, const VARIANT& attribute5);
	void MakeMarkedListActive();
	void ActivateWindow(LPCTSTR window);
	void CreateListToFile(LPCTSTR type, LPCTSTR filename);
	void CatalogList(LPCTSTR type, const VARIANT& catalog, const VARIANT& filename, const VARIANT& condition1, const VARIANT& condition2);
	void ListOfCategories(LPCTSTR type, const VARIANT& table, const VARIANT& filename);
	void SetAlarm(LPCTSTR condition);
	void SetCloseAlert(short condition, const VARIANT& text);
	void RunMacro(LPCTSTR description, const VARIANT& count);
	void StartEditor();
	void ShowBuildListDlg(BOOL condition);
	LPDISPATCH GetCurrentRecordObject();
	void CloseDatabase();
};

/////////////////////////////////////////////////////////////////////////////
// ICurrentRec wrapper class  for Maximizer.CurrentRecordobject

class ICurrentRec : public COleDispatchDriver
{
public:
	ICurrentRec() {}		// Calls COleDispatchDriver default constructor
	ICurrentRec(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ICurrentRec(const ICurrentRec& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	LPDISPATCH GetApplicationObject();
	long GetListCount();
	void SetFieldValue(LPCTSTR field, LPCTSTR value);
	void AddNote(LPCTSTR text);
	void AddMailMergeNote(LPCTSTR text);
	void AddPhoneCallNote(LPCTSTR text);
	void AddTimedNote(LPCTSTR text);
	void AddMaxMergeNote(LPCTSTR text);
	CString GetFieldValue(LPCTSTR field);
	BOOL IsRecordMarked();
	void Dial(LPCTSTR type, const VARIANT& string);
	void ExecuteUpdate(BOOL condition);
	void InitAndCreateRecord(LPCTSTR type, LPCTSTR name, const VARIANT& id, const VARIANT& address);
	void AddAppointment(LPCTSTR date, LPCTSTR time1, LPCTSTR time2, LPCTSTR text, const VARIANT& personal, const VARIANT& alarm, const VARIANT& alarm_time, const VARIANT& iconType, const VARIANT& priority, const VARIANT& completed);
	void AddHotListTask(LPCTSTR date, LPCTSTR time, LPCTSTR text, const VARIANT& personal, const VARIANT& iconType, const VARIANT& priority, const VARIANT& completed);
	void AddNoteFromClipboard(LPCTSTR type);
	void AddOLEDocument(LPCTSTR type, const VARIANT& filename, const VARIANT& description, const VARIANT& pub, const VARIANT& activate, const VARIANT& disp_as_icon, const VARIANT& link);
	void ListAll(LPCTSTR type);
	void MarkRecord(LPCTSTR type);
	void RefreshWindows(BOOL condition);
	void ScrollList(LPCTSTR direction);
	void SetCategoryDelimiter(LPCTSTR delimiter);
	void SetListColumns(LPCTSTR description);
	void SetUpdateMode(LPCTSTR condition);
	void SortOnColumn(short column);
	void StartDocument();
	void Transfer(LPCTSTR type, const VARIANT& db_description, const VARIANT& db_path, const VARIANT& userid, const VARIANT& password, const VARIANT& udf, const VARIANT& document, const VARIANT& notes, const VARIANT& appointments, 
		const VARIANT& text, const VARIANT& history, const VARIANT& duplicates, const VARIANT& use_modify_flag, const VARIANT& reset_modify_flag, const VARIANT& result_filename);
	void UndoSearch();
	void SearchByClientID(LPCTSTR search_string, const VARIANT& contactNo, const VARIANT& condition);
	void SearchByLastName(LPCTSTR search_string, const VARIANT& condition1, const VARIANT& condition2, const VARIANT& condition3);
	void SearchByFirstName(LPCTSTR search_string, const VARIANT& condition1, const VARIANT& condition2, const VARIANT& condition3);
	void SearchByPosition(LPCTSTR search_string, const VARIANT& condition1, const VARIANT& condition2, const VARIANT& condition3);
	void SearchByCompany(LPCTSTR type, LPCTSTR search_string, const VARIANT& condition1, const VARIANT& condition2, const VARIANT& condition3, const VARIANT& condition4);
	void SearchByAddress(LPCTSTR type, LPCTSTR search_string, const VARIANT& condition1, const VARIANT& condition2, const VARIANT& condition3, const VARIANT& condition4);
	void SearchByPhone(short phoneNo, LPCTSTR search_string, const VARIANT& condition1, const VARIANT& condition2, const VARIANT& condition3, const VARIANT& condition4);
	void SearchByLastChangeDate(LPCTSTR start_date, LPCTSTR end_date, const VARIANT& condition1, const VARIANT& condition2, const VARIANT& condition3, const VARIANT& condition4);
	void SearchByCategories(LPCTSTR udf_name, LPCTSTR search_string1, const VARIANT& search_string2, const VARIANT& condition1, const VARIANT& condition2, const VARIANT& condition3, const VARIANT& condition4, const VARIANT& condition5);
	void SearchByNotes(LPCTSTR search_string, const VARIANT& start_date, const VARIANT& end_date, const VARIANT& condition1, const VARIANT& condition2, const VARIANT& condition3, const VARIANT& condition4, const VARIANT& condition5);
};
